<template>
    <q-form @submit.prevent="submitForm">
        <q-input rounded outlined
        class="q-pt-md"
        v-model="Username"
        label="Username"
        />
        <q-input rounded outlined
        class="q-pt-md"
        v-model="Password"
        type="password"
        label="Password"
        />
        <div class="row">
          <div class="col-7 q-pt-sm">
            <q-checkbox
            v-if="tab == 'Login'"
            v-model="rememberPassword"
            color="primary"
            label="Remember Password?"
            true-value="yes"
            false-value="no"
            />
          </div>
          <div class="col-5 q-pt-sm q-pl-xs">
            <q-btn flat rounded
            to="/forgot"
            color="primary"
            label="Forgot Password" />
          </div>
        </div>
        <div class="row justify-center">
            <q-btn label="Submit"
            class="q-ma-xs"
            color="primary"
            type="submit"
            />
            <q-btn label="Register"
            to="/register"
            class="q-ma-xs"
            color="primary"
            />
        </div>
    </q-form>
</template>

<script>
export default {
  props: ['tab'],
  data () {
    return {
      Username: '',
      Password: '',
      rememberPassword: 'no'
    }
  },
  methods: {
    submitForm () {
      console.log(this.Username, this.Password, this.rememberPassword)
    }
  }
}
</script>
